Realtime and Integrations API

Livepin includes specialized endpoints for real-time streaming, dashcam control, sharing workflows, and realtime tracking.

Dashcam and streaming

  • Name
    POST /api/vehicles/start-dashcam-stream/:vehicleId
    Description

    Start stream for a vehicle.

  • Name
    POST /api/vehicles/stop-dashcam-stream/:vehicleId
    Description

    Stop active stream.

  • Name
    GET /api/vehicles/:vehicleId/v2/get-dashcam-stream
    Description

    Get stream URL/details.

  • Name
    GET /api/user/downloaded-dashcam-videos
    Description

    List downloaded videos.

  • Name
    POST /api/vehicles/:vehicleId/dashcam-media-capture
    Description

    Capture a dashcam photo snapshot.

  • Name
    GET /api/vehicles/:vehicleId/list-dashcam-media
    Description

    List captured dashcam media files.

  • Name
    POST https://video.livepin.in/:imei/start
    Description

    Start stream (video service).

  • Name
    GET https://video.livepin.in/:imei/wakeup
    Description

    Wake camera before streaming.

  • Name
    GET https://video.livepin.in/:imei/:channel/stream.flv
    Description

    Direct FLV stream endpoint.

  • Name
    POST https://video.livepin.in/:imei/media-capture
    Description

    Capture media snapshot/clip.

  • Name
    GET https://video.livepin.in/:imei/ping
    Description

    Device ping check.

  • Name
    POST https://video.livepin.in/:imei/upload
    Description

    Request dashcam video upload.

  • Name
    POST https://video.livepin.in/:imei/resource-list
    Description

    List recorded video resources.

  • Name
    POST https://video.livepin.in/:imei/history/start
    Description

    Start history playback.

  • Name
    POST https://video.livepin.in/:imei/history/control
    Description

    Control history playback (pause, seek, speed).

Dashcam media capture

curl -X POST "$LIVEPIN_API_BASE_URL/api/vehicles/:vehicleId/dashcam-media-capture?channelId=1&quality=MEDIUM" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

Downloaded videos

curl "$LIVEPIN_API_BASE_URL/api/user/downloaded-dashcam-videos" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

List dashcam media

curl -G "$LIVEPIN_API_BASE_URL/api/vehicles/:vehicleId/list-dashcam-media" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -d channelId=0

Get dashcam stream

curl -G "$LIVEPIN_API_BASE_URL/api/vehicles/:vehicleId/v2/get-dashcam-stream" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -d channelId=1 \
  -d streamType=LOW

Sharing and realtime

  • Name
    POST /api/vehicle/search-user-for-share
    Description
    Search user for vehicle sharing.
  • Name
    POST /api/vehicle/share-vehicles
    Description
    Share vehicles with user.
  • Name
    POST /api/vehicle/remove-share-vehicles
    Description
    Remove shared access.
  • Name
    GET /api/vehicle/get-shared-users
    Description
    List users with shared access.
  • Name
    GET /api/vehicle/shared-vehicles/:userId
    Description
    Vehicles shared to user.
  • Name
    GET /api/share-links
    Description
    List share links.
  • Name
    POST /api/share-links
    Description
    Create share link.
  • Name
    GET /api/share-links/:slug
    Description
    Resolve share link data.
  • Name
    DELETE /api/share-links/:id
    Description
    Delete share link.
  • Name
    GET /api/user/generate-websocket-token
    Description
    Generate websocket auth token.
  • Name
    GET /api/rtt-tracking/get-imei-latest-location
    Description
    RTT latest location.
  • Name
    GET /api/rtt-tracking/get-imei-based-on-vehicle-number
    Description
    Vehicle number to IMEI mapping.

Generate websocket token

curl "$LIVEPIN_API_BASE_URL/api/user/generate-websocket-token" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -H "Authorization: Bearer $JWT_TOKEN"

Create share link

curl -X POST "$LIVEPIN_API_BASE_URL/api/share-links" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"data":{"vehicle":31,"expiry":"2026-09-16T00:00:00.000Z"}}'

Response (trimmed)

{
  "id": 77,
  "slug": "3d0f9a2c-1b74-4e88-9a51-2c6e8f0b7a11",
  "expiry": "2026-09-16T00:00:00.000Z",
  "vehicle": { "id": 31 }
}

List share links

curl "$LIVEPIN_API_BASE_URL/api/share-links" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

Search user for sharing

curl -X POST "$LIVEPIN_API_BASE_URL/api/vehicle/search-user-for-share" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"phoneNumber":"+916295722469"}'

Share vehicles with user

curl -X POST "$LIVEPIN_API_BASE_URL/api/vehicle/share-vehicles" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"secondaryUser":123,"vehicles":[3001,3002]}'

External integrations

  • Name
    GET /api/toll-gates
    Description
    List toll gate metadata.
  • Name
    GET /api/plans
    Description
    List subscription plans.
  • Name
    GET /api/subscriptions/billing-portal
    Description

    Customer billing portal URL.

Toll gates

curl "$LIVEPIN_API_BASE_URL/api/toll-gates" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

Billing portal

curl "$LIVEPIN_API_BASE_URL/api/subscriptions/billing-portal" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

Was this page helpful?